%global reltag .Final
%global namedversion %{version}%{?reltag}

Name:          droolsjbpm-knowledge
Version:       6.5.0
Release:       1%{?dist}
Summary:       Drools and jBPM Kie common API
License:       ASL 2.0
URL:           http://www.jboss.org/drools
Source0:       https://github.com/droolsjbpm/droolsjbpm-knowledge/archive/%{namedversion}/%{name}-%{namedversion}.tar.gz

BuildRequires: graphviz
BuildRequires: maven-local
BuildRequires: mvn(ch.qos.logback:logback-classic)
BuildRequires: mvn(com.thoughtworks.xstream:xstream)
BuildRequires: mvn(javax.enterprise:cdi-api)
BuildRequires: mvn(javax.xml.stream:stax-api)
BuildRequires: mvn(jdepend:jdepend)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires: mvn(org.glassfish.jaxb:jaxb-xjc)
BuildRequires: mvn(org.glassfish.jaxb:jaxb-runtime)
BuildRequires: mvn(org.jboss.apiviz:apiviz)
BuildRequires: mvn(org.jboss.spec.javax.jms:jboss-jms-api_1.1_spec)
BuildRequires: mvn(org.jboss.spec.javax.xml.bind:jboss-jaxb-api_2.2_spec)
BuildRequires: mvn(org.osgi:org.osgi.compendium)
BuildRequires: mvn(org.osgi:org.osgi.core)
BuildRequires: mvn(org.slf4j:slf4j-api)

BuildArch:     noarch

%description
The common API for Drools and jBPM.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%package kie-api
Summary:       KIE :: Public API

%description kie-api
The Drools and jBPM public API which is backwards compatible between releases.

%package kie-internal
Summary:       KIE :: Internal

%description kie-internal
The Drools and jBPM internal API which is NOT backwards compatible between releases.

%prep
%setup -q -n %{name}-%{namedversion}

# org.kie:kie-parent-with-dependencies:6.4.0.Final https://github.com/droolsjbpm/droolsjbpm-build-bootstrap
%pom_remove_parent
# Fix build without parent pom
%pom_xpath_inject "pom:project" "<groupId>org.kie</groupId>"
%pom_xpath_inject "pom:project" "<version>%{namedversion}</version>"

%pom_xpath_inject "pom:dependency[pom:groupId = 'org.kie']" '<version>${project.version}</version>' kie-internal
%pom_add_plugin "org.apache.felix:maven-bundle-plugin:2.5.4" . '
<extensions>true</extensions>
<configuration>
 <excludeDependencies>true</excludeDependencies>
 <instructions>
   <_removeheaders>Ignore-Package</_removeheaders>
   <_nouses>true</_nouses>
   <_snapshot>${maven.build.timestamp}</_snapshot>
  </instructions>
</configuration>'

# org.revapi:revapi-maven-plugin:0.3.7
%pom_remove_plugin :revapi-maven-plugin kie-api

%pom_change_dep -r com.sun.xml.bind:jaxb-xjc org.glassfish.jaxb:jaxb-xjc:2.2.11
%pom_change_dep -r com.sun.xml.bind:jaxb-impl org.glassfish.jaxb:jaxb-runtime:2.2.11

%pom_disable_module kie-archetypes
# Use JVM jaf
%pom_remove_dep -r javax.activation:activation

# package org.junit does not exist
%pom_add_dep junit:junit:4.12:test kie-api
%pom_add_dep junit:junit:4.12:test kie-internal

%build

%mvn_build  -s -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files  -f .mfiles-kie-api-parent
%license LICENSE-ASL-2.0.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE-ASL-2.0.txt

%files kie-api -f .mfiles-kie-api
%doc README.md
%license LICENSE-ASL-2.0.txt

%files kie-internal -f .mfiles-kie-internal

%changelog
* Tue Nov 08 2016 gil cattaneo <puntogil@libero.it> 6.5.0-1
- update to 6.5.0.Final

* Thu Oct 13 2016 gil cattaneo <puntogil@libero.it> 6.4.0-1
- update to 6.4.0.Final

* Tue Aug 25 2015 gil cattaneo <puntogil@libero.it> 6.2.0-1
- initial rpm
